{{$interface := (index site.Data (print .model ".model"))}}
<div class="my-n1 py-1">
  {{range $i, $v := .rows}}
  <div class="row py-0 my-0">
    {{range $v.cols}}
    {{$field := (index $interface.fields .fieldName)}}
    {{if $.collapse}}
    <div class="col-{{default 3 .span}}">
      <span class="text-nowrap"><span class="fw-bold">{{$field.label}}</span><div class="d-inline-block ml-2 w-100">{{partial "field" (merge $field (dict "name" .fieldName "readonly" $.readonly))}}</div></span>
    </div>
    {{else}}
    <div class="col-2 {{if ne $.align "left"}}text-right{{end}} fw-bold pr-0 col-form-label">
      {{$field.label}}
    </div>
    <div class="mt-1 col-{{default 2 .span}}">
      {{partial "field" (merge $field (dict "name" .fieldName "readonly" $.readonly))}}
    </div>
    {{end}}
    {{end}}
  </div>
  {{end}}
</div>
